--- old/usr/src/uts/common/io/ixgbe/ixgbe_phy.c	Wed Sep  7 11:32:38 2011
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_phy.c	Wed Sep  7 11:32:38 2011
@@ -960,17 +943,13 @@
 	}
 
 	status = hw->phy.ops.read_i2c_eeprom(hw,
-	    IXGBE_SFF_IDENTIFIER, &identifier);
+	                                     IXGBE_SFF_IDENTIFIER,
+	                                     &identifier);
 
-	if (status == IXGBE_ERR_SFP_NOT_PRESENT || status == IXGBE_ERR_I2C) {
-		status = IXGBE_ERR_SFP_NOT_PRESENT;
-		hw->phy.sfp_type = ixgbe_sfp_type_not_present;
-		if (hw->phy.type != ixgbe_phy_nl) {
-			hw->phy.id = 0;
-			hw->phy.type = ixgbe_phy_unknown;
-		}
-		goto out;
-	}
+	if (status == IXGBE_ERR_SWFW_SYNC ||
+	    status == IXGBE_ERR_I2C ||
+	    status == IXGBE_ERR_SFP_NOT_PRESENT)
+		goto err_read_i2c_eeprom;
 
 	/* LAN ID is needed for sfp_type determination */
 	hw->mac.ops.set_lan_id(hw);
@@ -979,28 +958,46 @@
 		hw->phy.type = ixgbe_phy_sfp_unsupported;
 		status = IXGBE_ERR_SFP_NOT_SUPPORTED;
 	} else {
-		hw->phy.ops.read_i2c_eeprom(hw, IXGBE_SFF_1GBE_COMP_CODES,
-		    &comp_codes_1g);
-		hw->phy.ops.read_i2c_eeprom(hw, IXGBE_SFF_10GBE_COMP_CODES,
-		    &comp_codes_10g);
-		hw->phy.ops.read_i2c_eeprom(hw, IXGBE_SFF_CABLE_TECHNOLOGY,
-		    &cable_tech);
+		status = hw->phy.ops.read_i2c_eeprom(hw,
+		                                     IXGBE_SFF_1GBE_COMP_CODES,
+		                                     &comp_codes_1g);
 
-		/*
-		 * ID  Module
-		 * ============
-		 * 0    SFP_DA_CU
-		 * 1    SFP_SR
-		 * 2    SFP_LR
-		 * 3	SFP_DA_CORE0 - 82599-specific
-		 * 4	SFP_DA_CORE1 - 82599-specific
-		 * 5	SFP_SR/LR_CORE0 - 82599-specific
-		 * 6	SFP_SR/LR_CORE1 - 82599-specific
-		 * 7	SFP_act_lmt_DA_CORE0 - 82599-specific
-		 * 8	SFP_act_lmt_DA_CORE1 - 82599-specific
-		 * 9	SFP_1g_cu_CORE0 - 82599-specific
-		 * 10	SFP_1g_cu_CORE1 - 82599-specific
-		 */
+		if (status == IXGBE_ERR_SWFW_SYNC ||
+		    status == IXGBE_ERR_I2C ||
+		    status == IXGBE_ERR_SFP_NOT_PRESENT)
+			goto err_read_i2c_eeprom;
+
+		status = hw->phy.ops.read_i2c_eeprom(hw,
+		                                     IXGBE_SFF_10GBE_COMP_CODES,
+		                                     &comp_codes_10g);
+
+		if (status == IXGBE_ERR_SWFW_SYNC ||
+		    status == IXGBE_ERR_I2C ||
+		    status == IXGBE_ERR_SFP_NOT_PRESENT)
+			goto err_read_i2c_eeprom;
+		status = hw->phy.ops.read_i2c_eeprom(hw,
+		                                     IXGBE_SFF_CABLE_TECHNOLOGY,
+		                                     &cable_tech);
+
+		if (status == IXGBE_ERR_SWFW_SYNC ||
+		    status == IXGBE_ERR_I2C ||
+		    status == IXGBE_ERR_SFP_NOT_PRESENT)
+			goto err_read_i2c_eeprom;
+
+		 /* ID Module
+		  * =========
+		  * 0   SFP_DA_CU
+		  * 1   SFP_SR
+		  * 2   SFP_LR
+		  * 3   SFP_DA_CORE0 - 82599-specific
+		  * 4   SFP_DA_CORE1 - 82599-specific
+		  * 5   SFP_SR/LR_CORE0 - 82599-specific
+		  * 6   SFP_SR/LR_CORE1 - 82599-specific
+		  * 7   SFP_act_lmt_DA_CORE0 - 82599-specific
+		  * 8   SFP_act_lmt_DA_CORE1 - 82599-specific
+		  * 9   SFP_1g_cu_CORE0 - 82599-specific
+		  * 10  SFP_1g_cu_CORE1 - 82599-specific
+		  */
 		if (hw->mac.type == ixgbe_mac_82598EB) {
 			if (cable_tech & IXGBE_SFF_DA_PASSIVE_CABLE)
 				hw->phy.sfp_type = ixgbe_sfp_type_da_cu;
@@ -1014,40 +1011,42 @@
 			if (cable_tech & IXGBE_SFF_DA_PASSIVE_CABLE) {
 				if (hw->bus.lan_id == 0)
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_da_cu_core0;
+					             ixgbe_sfp_type_da_cu_core0;
 				else
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_da_cu_core1;
+					             ixgbe_sfp_type_da_cu_core1;
 			} else if (cable_tech & IXGBE_SFF_DA_ACTIVE_CABLE) {
 				hw->phy.ops.read_i2c_eeprom(
-				    hw, IXGBE_SFF_CABLE_SPEC_COMP, &cable_spec);
+						hw, IXGBE_SFF_CABLE_SPEC_COMP,
+						&cable_spec);
 				if (cable_spec &
 				    IXGBE_SFF_DA_SPEC_ACTIVE_LIMITING) {
 					if (hw->bus.lan_id == 0)
-					hw->phy.sfp_type =
-					    ixgbe_sfp_type_da_act_lmt_core0;
+						hw->phy.sfp_type =
+						ixgbe_sfp_type_da_act_lmt_core0;
 					else
+						hw->phy.sfp_type =
+						ixgbe_sfp_type_da_act_lmt_core1;
+				} else {
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_da_act_lmt_core1;
-				} else
-					hw->phy.sfp_type =
-					    ixgbe_sfp_type_unknown;
+					                ixgbe_sfp_type_unknown;
+				}
 			} else if (comp_codes_10g &
-			    (IXGBE_SFF_10GBASESR_CAPABLE |
-			    IXGBE_SFF_10GBASELR_CAPABLE)) {
+				   (IXGBE_SFF_10GBASESR_CAPABLE |
+				    IXGBE_SFF_10GBASELR_CAPABLE)) {
 				if (hw->bus.lan_id == 0)
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_srlr_core0;
+					              ixgbe_sfp_type_srlr_core0;
 				else
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_srlr_core1;
+					              ixgbe_sfp_type_srlr_core1;
 			} else if (comp_codes_1g & IXGBE_SFF_1GBASET_CAPABLE) {
 				if (hw->bus.lan_id == 0)
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_1g_cu_core0;
+						ixgbe_sfp_type_1g_cu_core0;
 				else
 					hw->phy.sfp_type =
-					    ixgbe_sfp_type_1g_cu_core1;
+						ixgbe_sfp_type_1g_cu_core1;
 			} else {
 				hw->phy.sfp_type = ixgbe_sfp_type_unknown;
 			}
@@ -1054,37 +1053,56 @@
 		}
 
 		if (hw->phy.sfp_type != stored_sfp_type)
-			hw->phy.sfp_setup_needed = true;
+			hw->phy.sfp_setup_needed = TRUE;
 
 		/* Determine if the SFP+ PHY is dual speed or not. */
-		hw->phy.multispeed_fiber = false;
+		hw->phy.multispeed_fiber = FALSE;
 		if (((comp_codes_1g & IXGBE_SFF_1GBASESX_CAPABLE) &&
-		    (comp_codes_10g & IXGBE_SFF_10GBASESR_CAPABLE)) ||
-		    ((comp_codes_1g & IXGBE_SFF_1GBASELX_CAPABLE) &&
-		    (comp_codes_10g & IXGBE_SFF_10GBASELR_CAPABLE)))
-			hw->phy.multispeed_fiber = true;
+		   (comp_codes_10g & IXGBE_SFF_10GBASESR_CAPABLE)) ||
+		   ((comp_codes_1g & IXGBE_SFF_1GBASELX_CAPABLE) &&
+		   (comp_codes_10g & IXGBE_SFF_10GBASELR_CAPABLE)))
+			hw->phy.multispeed_fiber = TRUE;
 
 		/* Determine PHY vendor */
 		if (hw->phy.type != ixgbe_phy_nl) {
 			hw->phy.id = identifier;
-			hw->phy.ops.read_i2c_eeprom(hw,
-			    IXGBE_SFF_VENDOR_OUI_BYTE0, &oui_bytes[0]);
-			hw->phy.ops.read_i2c_eeprom(hw,
-			    IXGBE_SFF_VENDOR_OUI_BYTE1, &oui_bytes[1]);
-			hw->phy.ops.read_i2c_eeprom(hw,
-			    IXGBE_SFF_VENDOR_OUI_BYTE2, &oui_bytes[2]);
+			status = hw->phy.ops.read_i2c_eeprom(hw,
+			                            IXGBE_SFF_VENDOR_OUI_BYTE0,
+			                            &oui_bytes[0]);
 
+			if (status == IXGBE_ERR_SWFW_SYNC ||
+			    status == IXGBE_ERR_I2C ||
+			    status == IXGBE_ERR_SFP_NOT_PRESENT)
+				goto err_read_i2c_eeprom;
+
+			status = hw->phy.ops.read_i2c_eeprom(hw,
+			                            IXGBE_SFF_VENDOR_OUI_BYTE1,
+			                            &oui_bytes[1]);
+
+			if (status == IXGBE_ERR_SWFW_SYNC ||
+			    status == IXGBE_ERR_I2C ||
+			    status == IXGBE_ERR_SFP_NOT_PRESENT)
+				goto err_read_i2c_eeprom;
+
+			status = hw->phy.ops.read_i2c_eeprom(hw,
+			                            IXGBE_SFF_VENDOR_OUI_BYTE2,
+			                            &oui_bytes[2]);
+
+			if (status == IXGBE_ERR_SWFW_SYNC ||
+			    status == IXGBE_ERR_I2C ||
+			    status == IXGBE_ERR_SFP_NOT_PRESENT)
+				goto err_read_i2c_eeprom;
+
 			vendor_oui =
-			    ((oui_bytes[0] <<
-			    IXGBE_SFF_VENDOR_OUI_BYTE0_SHIFT) |
-			    (oui_bytes[1] << IXGBE_SFF_VENDOR_OUI_BYTE1_SHIFT) |
-			    (oui_bytes[2] << IXGBE_SFF_VENDOR_OUI_BYTE2_SHIFT));
+			  ((oui_bytes[0] << IXGBE_SFF_VENDOR_OUI_BYTE0_SHIFT) |
+			   (oui_bytes[1] << IXGBE_SFF_VENDOR_OUI_BYTE1_SHIFT) |
+			   (oui_bytes[2] << IXGBE_SFF_VENDOR_OUI_BYTE2_SHIFT));
 
 			switch (vendor_oui) {
 			case IXGBE_SFF_VENDOR_OUI_TYCO:
 				if (cable_tech & IXGBE_SFF_DA_PASSIVE_CABLE)
 					hw->phy.type =
-					    ixgbe_phy_sfp_passive_tyco;
+					            ixgbe_phy_sfp_passive_tyco;
 				break;
 			case IXGBE_SFF_VENDOR_OUI_FTL:
 				if (cable_tech & IXGBE_SFF_DA_ACTIVE_CABLE)
@@ -1101,10 +1119,10 @@
 			default:
 				if (cable_tech & IXGBE_SFF_DA_PASSIVE_CABLE)
 					hw->phy.type =
-					    ixgbe_phy_sfp_passive_unknown;
+					         ixgbe_phy_sfp_passive_unknown;
 				else if (cable_tech & IXGBE_SFF_DA_ACTIVE_CABLE)
 					hw->phy.type =
-					    ixgbe_phy_sfp_active_unknown;
+						ixgbe_phy_sfp_active_unknown;
 				else
 					hw->phy.type = ixgbe_phy_sfp_unknown;
 				break;
@@ -1118,10 +1136,10 @@
 			goto out;
 		}
 
-		/* Verify supporteed 1G SFP modules */
+		/* Verify supported 1G SFP modules */
 		if (comp_codes_10g == 0 &&
 		    !(hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core1 ||
-		    hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core0)) {
+		      hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core0)) {
 			hw->phy.type = ixgbe_phy_sfp_unsupported;
 			status = IXGBE_ERR_SFP_NOT_SUPPORTED;
 			goto out;
@@ -1136,7 +1154,7 @@
 		(void) ixgbe_get_device_caps(hw, &enforce_sfp);
 		if (!(enforce_sfp & IXGBE_DEVICE_CAPS_ALLOW_ANY_SFP) &&
 		    !((hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core0) ||
-		    (hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core1))) {
+		      (hw->phy.sfp_type == ixgbe_sfp_type_1g_cu_core1))) {
 			/* Make sure we're a supported PHY type */
 			if (hw->phy.type == ixgbe_phy_sfp_intel) {
 				status = IXGBE_SUCCESS;
@@ -1151,21 +1169,29 @@
 	}
 
 out:
-	return (status);
+	return status;
+
+err_read_i2c_eeprom:
+	hw->phy.sfp_type = ixgbe_sfp_type_not_present;
+	if (hw->phy.type != ixgbe_phy_nl) {
+		hw->phy.id = 0;
+		hw->phy.type = ixgbe_phy_unknown;
+	}
+	return IXGBE_ERR_SFP_NOT_PRESENT;
 }
 
-
-/*
- * ixgbe_get_sfp_init_sequence_offsets - Provides offset of PHY init sequence
- * @hw: pointer to hardware structure
- * @list_offset: offset to the SFP ID list
- * @data_offset: offset to the SFP data block
+/**
+ *  ixgbe_get_sfp_init_sequence_offsets - Provides offset of PHY init sequence
+ *  @hw: pointer to hardware structure
+ *  @list_offset: offset to the SFP ID list
+ *  @data_offset: offset to the SFP data block
  *
- * Checks the MAC's EEPROM to see if it supports a given SFP+ module type, if
- * so it returns the offsets to the phy init sequence block.
- */
+ *  Checks the MAC's EEPROM to see if it supports a given SFP+ module type, if
+ *  so it returns the offsets to the phy init sequence block.
+ **/
 s32 ixgbe_get_sfp_init_sequence_offsets(struct ixgbe_hw *hw,
-    u16 *list_offset, u16 *data_offset)
+                                        u16 *list_offset,
+                                        u16 *data_offset)
 {
 	u16 sfp_id;
 	u16 sfp_type = hw->phy.sfp_type;
@@ -1173,14 +1199,14 @@
 	DEBUGFUNC("ixgbe_get_sfp_init_sequence_offsets");
 
 	if (hw->phy.sfp_type == ixgbe_sfp_type_unknown)
-		return (IXGBE_ERR_SFP_NOT_SUPPORTED);
+		return IXGBE_ERR_SFP_NOT_SUPPORTED;
 
 	if (hw->phy.sfp_type == ixgbe_sfp_type_not_present)
-		return (IXGBE_ERR_SFP_NOT_PRESENT);
+		return IXGBE_ERR_SFP_NOT_PRESENT;
 
 	if ((hw->device_id == IXGBE_DEV_ID_82598_SR_DUAL_PORT_EM) &&
 	    (hw->phy.sfp_type == ixgbe_sfp_type_da_cu))
-		return (IXGBE_ERR_SFP_NOT_SUPPORTED);
+		return IXGBE_ERR_SFP_NOT_SUPPORTED;
 
 	/*
 	 * Limiting active cables and 1G Phys must be initialized as
@@ -1190,7 +1216,7 @@
 	    sfp_type == ixgbe_sfp_type_1g_cu_core0)
 		sfp_type = ixgbe_sfp_type_srlr_core0;
 	else if (sfp_type == ixgbe_sfp_type_da_act_lmt_core1 ||
-	    sfp_type == ixgbe_sfp_type_1g_cu_core1)
+		 sfp_type == ixgbe_sfp_type_1g_cu_core1)
 		sfp_type = ixgbe_sfp_type_srlr_core1;
 
 	/* Read offset to PHY init contents */
@@ -1197,7 +1223,7 @@
 	hw->eeprom.ops.read(hw, IXGBE_PHY_INIT_OFFSET_NL, list_offset);
 
 	if ((!*list_offset) || (*list_offset == 0xFFFF))
-		return (IXGBE_ERR_SFP_NO_INIT_SEQ_PRESENT);
+		return IXGBE_ERR_SFP_NO_INIT_SEQ_PRESENT;
 
 	/* Shift offset to first ID word */
 	(*list_offset)++;
@@ -1214,7 +1240,7 @@
 			hw->eeprom.ops.read(hw, *list_offset, data_offset);
 			if ((!*data_offset) || (*data_offset == 0xFFFF)) {
 				DEBUGOUT("SFP+ module not supported\n");
-				return (IXGBE_ERR_SFP_NOT_SUPPORTED);
+				return IXGBE_ERR_SFP_NOT_SUPPORTED;
 			} else {
 				break;
 			}
@@ -1221,65 +1247,65 @@
 		} else {
 			(*list_offset) += 2;
 			if (hw->eeprom.ops.read(hw, *list_offset, &sfp_id))
-				return (IXGBE_ERR_PHY);
+				return IXGBE_ERR_PHY;
 		}
 	}
 
 	if (sfp_id == IXGBE_PHY_INIT_END_NL) {
 		DEBUGOUT("No matching SFP+ module found\n");
-		return (IXGBE_ERR_SFP_NOT_SUPPORTED);
+		return IXGBE_ERR_SFP_NOT_SUPPORTED;
 	}
 
-	return (IXGBE_SUCCESS);
+	return IXGBE_SUCCESS;
 }
 
-/*
- * ixgbe_read_i2c_eeprom_generic - Reads 8 bit EEPROM word over I2C interface
- * @hw: pointer to hardware structure
- * @byte_offset: EEPROM byte offset to read
- * @eeprom_data: value read
+/**
+ *  ixgbe_read_i2c_eeprom_generic - Reads 8 bit EEPROM word over I2C interface
+ *  @hw: pointer to hardware structure
+ *  @byte_offset: EEPROM byte offset to read
+ *  @eeprom_data: value read
  *
- * Performs byte read operation to SFP module's EEPROM over I2C interface.
- */
-s32
-ixgbe_read_i2c_eeprom_generic(struct ixgbe_hw *hw, u8 byte_offset,
-    u8 *eeprom_data)
+ *  Performs byte read operation to SFP module's EEPROM over I2C interface.
+ **/
+s32 ixgbe_read_i2c_eeprom_generic(struct ixgbe_hw *hw, u8 byte_offset,
+                                  u8 *eeprom_data)
 {
 	DEBUGFUNC("ixgbe_read_i2c_eeprom_generic");
 
-	return (hw->phy.ops.read_i2c_byte(hw, byte_offset,
-	    IXGBE_I2C_EEPROM_DEV_ADDR, eeprom_data));
+	return hw->phy.ops.read_i2c_byte(hw, byte_offset,
+	                                 IXGBE_I2C_EEPROM_DEV_ADDR,
+	                                 eeprom_data);
 }
 
-/*
- * ixgbe_write_i2c_eeprom_generic - Writes 8 bit EEPROM word over I2C interface
- * @hw: pointer to hardware structure
- * @byte_offset: EEPROM byte offset to write
- * @eeprom_data: value to write
+/**
+ *  ixgbe_write_i2c_eeprom_generic - Writes 8 bit EEPROM word over I2C interface
+ *  @hw: pointer to hardware structure
+ *  @byte_offset: EEPROM byte offset to write
+ *  @eeprom_data: value to write
  *
- * Performs byte write operation to SFP module's EEPROM over I2C interface.
- */
+ *  Performs byte write operation to SFP module's EEPROM over I2C interface.
+ **/
 s32 ixgbe_write_i2c_eeprom_generic(struct ixgbe_hw *hw, u8 byte_offset,
-    u8 eeprom_data)
+                                   u8 eeprom_data)
 {
 	DEBUGFUNC("ixgbe_write_i2c_eeprom_generic");
 
-	return (hw->phy.ops.write_i2c_byte(hw, byte_offset,
-	    IXGBE_I2C_EEPROM_DEV_ADDR, eeprom_data));
+	return hw->phy.ops.write_i2c_byte(hw, byte_offset,
+	                                  IXGBE_I2C_EEPROM_DEV_ADDR,
+	                                  eeprom_data);
 }
 
-/*
- * ixgbe_read_i2c_byte_generic - Reads 8 bit word over I2C
- * @hw: pointer to hardware structure
- * @byte_offset: byte offset to read
- * @data: value read
+/**
+ *  ixgbe_read_i2c_byte_generic - Reads 8 bit word over I2C
+ *  @hw: pointer to hardware structure
+ *  @byte_offset: byte offset to read
+ *  @data: value read
  *
- * Performs byte read operation to SFP module's EEPROM over I2C interface at
- * a specified deivce address.
- */
-s32
-ixgbe_read_i2c_byte_generic(struct ixgbe_hw *hw, u8 byte_offset,
-    u8 dev_addr, u8 *data)
+ *  Performs byte read operation to SFP module's EEPROM over I2C interface at
+ *  a specified deivce address.
+ **/
+s32 ixgbe_read_i2c_byte_generic(struct ixgbe_hw *hw, u8 byte_offset,
+                                u8 dev_addr, u8 *data)
 {
 	s32 status = IXGBE_SUCCESS;
 	u32 max_retry = 10;
@@ -1350,26 +1376,26 @@
 			DEBUGOUT("I2C byte read error - Retrying.\n");
 		else
 			DEBUGOUT("I2C byte read error.\n");
+
 	} while (retry < max_retry);
 
 	ixgbe_release_swfw_sync(hw, swfw_mask);
 
 read_byte_out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_write_i2c_byte_generic - Writes 8 bit word over I2C
- * @hw: pointer to hardware structure
- * @byte_offset: byte offset to write
- * @data: value to write
+/**
+ *  ixgbe_write_i2c_byte_generic - Writes 8 bit word over I2C
+ *  @hw: pointer to hardware structure
+ *  @byte_offset: byte offset to write
+ *  @data: value to write
  *
- * Performs byte write operation to SFP module's EEPROM over I2C interface at
- * a specified device address.
- */
-s32
-ixgbe_write_i2c_byte_generic(struct ixgbe_hw *hw, u8 byte_offset,
-    u8 dev_addr, u8 data)
+ *  Performs byte write operation to SFP module's EEPROM over I2C interface at
+ *  a specified device address.
+ **/
+s32 ixgbe_write_i2c_byte_generic(struct ixgbe_hw *hw, u8 byte_offset,
+                                 u8 dev_addr, u8 data)
 {
 	s32 status = IXGBE_SUCCESS;
 	u32 max_retry = 1;
@@ -1430,17 +1456,16 @@
 	ixgbe_release_swfw_sync(hw, swfw_mask);
 
 write_byte_out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_i2c_start - Sets I2C start condition
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_i2c_start - Sets I2C start condition
+ *  @hw: pointer to hardware structure
  *
- * Sets I2C start condition (High -> Low on SDA while SCL is High)
- */
-static void
-ixgbe_i2c_start(struct ixgbe_hw *hw)
+ *  Sets I2C start condition (High -> Low on SDA while SCL is High)
+ **/
+static void ixgbe_i2c_start(struct ixgbe_hw *hw)
 {
 	u32 i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
 
@@ -1462,16 +1487,16 @@
 
 	/* Minimum low period of clock is 4.7 us */
 	usec_delay(IXGBE_I2C_T_LOW);
+
 }
 
-/*
- * ixgbe_i2c_stop - Sets I2C stop condition
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_i2c_stop - Sets I2C stop condition
+ *  @hw: pointer to hardware structure
  *
- * Sets I2C stop condition (Low -> High on SDA while SCL is High)
- */
-static void
-ixgbe_i2c_stop(struct ixgbe_hw *hw)
+ *  Sets I2C stop condition (Low -> High on SDA while SCL is High)
+ **/
+static void ixgbe_i2c_stop(struct ixgbe_hw *hw)
 {
 	u32 i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
 
@@ -1486,19 +1511,18 @@
 
 	(void) ixgbe_set_i2c_data(hw, &i2cctl, 1);
 
-	/* bus free time between stop and start (4.7us) */
+	/* bus free time between stop and start (4.7us)*/
 	usec_delay(IXGBE_I2C_T_BUF);
 }
 
-/*
- * ixgbe_clock_in_i2c_byte - Clocks in one byte via I2C
- * @hw: pointer to hardware structure
- * @data: data byte to clock in
+/**
+ *  ixgbe_clock_in_i2c_byte - Clocks in one byte via I2C
+ *  @hw: pointer to hardware structure
+ *  @data: data byte to clock in
  *
- * Clocks in one byte data via I2C data/clock
- */
-static s32
-ixgbe_clock_in_i2c_byte(struct ixgbe_hw *hw, u8 *data)
+ *  Clocks in one byte data via I2C data/clock
+ **/
+static s32 ixgbe_clock_in_i2c_byte(struct ixgbe_hw *hw, u8 *data)
 {
 	s32 status = IXGBE_SUCCESS;
 	s32 i;
@@ -1508,24 +1532,23 @@
 
 	for (i = 7; i >= 0; i--) {
 		status = ixgbe_clock_in_i2c_bit(hw, &bit);
-		*data |= bit<<i;
+		*data |= bit << i;
 
 		if (status != IXGBE_SUCCESS)
 			break;
 	}
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_clock_out_i2c_byte - Clocks out one byte via I2C
- * @hw: pointer to hardware structure
- * @data: data byte clocked out
+/**
+ *  ixgbe_clock_out_i2c_byte - Clocks out one byte via I2C
+ *  @hw: pointer to hardware structure
+ *  @data: data byte clocked out
  *
- * Clocks out one byte data via I2C data/clock
- */
-static s32
-ixgbe_clock_out_i2c_byte(struct ixgbe_hw *hw, u8 data)
+ *  Clocks out one byte data via I2C data/clock
+ **/
+static s32 ixgbe_clock_out_i2c_byte(struct ixgbe_hw *hw, u8 data)
 {
 	s32 status = IXGBE_SUCCESS;
 	s32 i;
@@ -1547,17 +1570,16 @@
 	i2cctl |= IXGBE_I2C_DATA_OUT;
 	IXGBE_WRITE_REG(hw, IXGBE_I2CCTL, i2cctl);
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_get_i2c_ack - Polls for I2C ACK
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_get_i2c_ack - Polls for I2C ACK
+ *  @hw: pointer to hardware structure
  *
- * Clocks in/out one bit via I2C data/clock
- */
-static s32
-ixgbe_get_i2c_ack(struct ixgbe_hw *hw)
+ *  Clocks in/out one bit via I2C data/clock
+ **/
+static s32 ixgbe_get_i2c_ack(struct ixgbe_hw *hw)
 {
 	s32 status;
 	u32 i = 0;
@@ -1575,10 +1597,8 @@
 	/* Minimum high period of clock is 4us */
 	usec_delay(IXGBE_I2C_T_HIGH);
 
-	/*
-	 * Poll for ACK.  Note that ACK in I2C spec is
-	 * transition from 1 to 0
-	 */
+	/* Poll for ACK.  Note that ACK in I2C spec is
+	 * transition from 1 to 0 */
 	for (i = 0; i < timeout; i++) {
 		i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
 		ack = ixgbe_get_i2c_data(&i2cctl);
@@ -1599,18 +1619,17 @@
 	usec_delay(IXGBE_I2C_T_LOW);
 
 out:
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_clock_in_i2c_bit - Clocks in one bit via I2C data/clock
- * @hw: pointer to hardware structure
- * @data: read data value
+/**
+ *  ixgbe_clock_in_i2c_bit - Clocks in one bit via I2C data/clock
+ *  @hw: pointer to hardware structure
+ *  @data: read data value
  *
- * Clocks in one bit via I2C data/clock
- */
-static s32
-ixgbe_clock_in_i2c_bit(struct ixgbe_hw *hw, bool *data)
+ *  Clocks in one bit via I2C data/clock
+ **/
+static s32 ixgbe_clock_in_i2c_bit(struct ixgbe_hw *hw, bool *data)
 {
 	s32 status;
 	u32 i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
@@ -1630,18 +1649,17 @@
 	/* Minimum low period of clock is 4.7 us */
 	usec_delay(IXGBE_I2C_T_LOW);
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_clock_out_i2c_bit - Clocks in/out one bit via I2C data/clock
- * @hw: pointer to hardware structure
- * @data: data value to write
+/**
+ *  ixgbe_clock_out_i2c_bit - Clocks in/out one bit via I2C data/clock
+ *  @hw: pointer to hardware structure
+ *  @data: data value to write
  *
- * Clocks out one bit via I2C data/clock
- */
-static s32
-ixgbe_clock_out_i2c_bit(struct ixgbe_hw *hw, bool data)
+ *  Clocks out one bit via I2C data/clock
+ **/
+static s32 ixgbe_clock_out_i2c_bit(struct ixgbe_hw *hw, bool data)
 {
 	s32 status;
 	u32 i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
@@ -1657,8 +1675,7 @@
 
 		ixgbe_lower_i2c_clk(hw, &i2cctl);
 
-		/*
-		 * Minimum low period of clock is 4.7 us.
+		/* Minimum low period of clock is 4.7 us.
 		 * This also takes care of the data hold time.
 		 */
 		usec_delay(IXGBE_I2C_T_LOW);
@@ -1667,18 +1684,16 @@
 		DEBUGOUT1("I2C data was not set to %X\n", data);
 	}
 
-	return (status);
+	return status;
 }
-
-/*
- * ixgbe_raise_i2c_clk - Raises the I2C SCL clock
- * @hw: pointer to hardware structure
- * @i2cctl: Current value of I2CCTL register
+/**
+ *  ixgbe_raise_i2c_clk - Raises the I2C SCL clock
+ *  @hw: pointer to hardware structure
+ *  @i2cctl: Current value of I2CCTL register
  *
- * Raises the I2C clock line '0'->'1'
- */
-static s32
-ixgbe_raise_i2c_clk(struct ixgbe_hw *hw, u32 *i2cctl)
+ *  Raises the I2C clock line '0'->'1'
+ **/
+static s32 ixgbe_raise_i2c_clk(struct ixgbe_hw *hw, u32 *i2cctl)
 {
 	s32 status = IXGBE_SUCCESS;
 
@@ -1691,19 +1706,19 @@
 	/* SCL rise time (1000ns) */
 	usec_delay(IXGBE_I2C_T_RISE);
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_lower_i2c_clk - Lowers the I2C SCL clock
- * @hw: pointer to hardware structure
- * @i2cctl: Current value of I2CCTL register
+/**
+ *  ixgbe_lower_i2c_clk - Lowers the I2C SCL clock
+ *  @hw: pointer to hardware structure
+ *  @i2cctl: Current value of I2CCTL register
  *
- * Lowers the I2C clock line '1'->'0'
- */
-static void
-ixgbe_lower_i2c_clk(struct ixgbe_hw *hw, u32 *i2cctl)
+ *  Lowers the I2C clock line '1'->'0'
+ **/
+static void ixgbe_lower_i2c_clk(struct ixgbe_hw *hw, u32 *i2cctl)
 {
+
 	DEBUGFUNC("ixgbe_lower_i2c_clk");
 
 	*i2cctl &= ~IXGBE_I2C_CLK_OUT;
@@ -1714,16 +1729,15 @@
 	usec_delay(IXGBE_I2C_T_FALL);
 }
 
-/*
- * ixgbe_set_i2c_data - Sets the I2C data bit
- * @hw: pointer to hardware structure
- * @i2cctl: Current value of I2CCTL register
- * @data: I2C data value (0 or 1) to set
+/**
+ *  ixgbe_set_i2c_data - Sets the I2C data bit
+ *  @hw: pointer to hardware structure
+ *  @i2cctl: Current value of I2CCTL register
+ *  @data: I2C data value (0 or 1) to set
  *
- * Sets the I2C data bit
- */
-static s32
-ixgbe_set_i2c_data(struct ixgbe_hw *hw, u32 *i2cctl, bool data)
+ *  Sets the I2C data bit
+ **/
+static s32 ixgbe_set_i2c_data(struct ixgbe_hw *hw, u32 *i2cctl, bool data)
 {
 	s32 status = IXGBE_SUCCESS;
 
@@ -1746,18 +1760,17 @@
 		DEBUGOUT1("Error - I2C data was not set to %X.\n", data);
 	}
 
-	return (status);
+	return status;
 }
 
-/*
- * ixgbe_get_i2c_data - Reads the I2C SDA data bit
- * @hw: pointer to hardware structure
- * @i2cctl: Current value of I2CCTL register
+/**
+ *  ixgbe_get_i2c_data - Reads the I2C SDA data bit
+ *  @hw: pointer to hardware structure
+ *  @i2cctl: Current value of I2CCTL register
  *
- * Returns the I2C data bit value
- */
-static bool
-ixgbe_get_i2c_data(u32 *i2cctl)
+ *  Returns the I2C data bit value
+ **/
+static bool ixgbe_get_i2c_data(u32 *i2cctl)
 {
 	bool data;
 
@@ -1768,18 +1781,17 @@
 	else
 		data = 0;
 
-	return (data);
+	return data;
 }
 
-/*
- * ixgbe_i2c_bus_clear - Clears the I2C bus
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_i2c_bus_clear - Clears the I2C bus
+ *  @hw: pointer to hardware structure
  *
- * Clears the I2C bus by sending nine clock pulses.
- * Used when data line is stuck low.
- */
-void
-ixgbe_i2c_bus_clear(struct ixgbe_hw *hw)
+ *  Clears the I2C bus by sending nine clock pulses.
+ *  Used when data line is stuck low.
+ **/
+void ixgbe_i2c_bus_clear(struct ixgbe_hw *hw)
 {
 	u32 i2cctl = IXGBE_READ_REG(hw, IXGBE_I2CCTL);
 	u32 i;
@@ -1798,7 +1810,7 @@
 
 		ixgbe_lower_i2c_clk(hw, &i2cctl);
 
-		/* Min low period of clock is 4.7us */
+		/* Min low period of clock is 4.7us*/
 		usec_delay(IXGBE_I2C_T_LOW);
 	}
 
@@ -1808,14 +1820,13 @@
 	ixgbe_i2c_stop(hw);
 }
 
-/*
- * ixgbe_tn_check_overtemp - Checks if an overtemp occured.
- * @hw: pointer to hardware structure
+/**
+ *  ixgbe_tn_check_overtemp - Checks if an overtemp occured.
+ *  @hw: pointer to hardware structure
  *
- * Checks if the LASI temp alarm status was triggered due to overtemp
- */
-s32
-ixgbe_tn_check_overtemp(struct ixgbe_hw *hw)
+ *  Checks if the LASI temp alarm status was triggered due to overtemp
+ **/
+s32 ixgbe_tn_check_overtemp(struct ixgbe_hw *hw)
 {
 	s32 status = IXGBE_SUCCESS;
 	u16 phy_data = 0;
@@ -1827,7 +1838,7 @@
 
 	/* Check that the LASI temp alarm status was triggered */
 	hw->phy.ops.read_reg(hw, IXGBE_TN_LASI_STATUS_REG,
-	    IXGBE_MDIO_PMA_PMD_DEV_TYPE, &phy_data);
+			     IXGBE_MDIO_PMA_PMD_DEV_TYPE, &phy_data);
 
 	if (!(phy_data & IXGBE_TN_LASI_STATUS_TEMP_ALARM))
 		goto out;
@@ -1834,5 +1845,5 @@
 
 	status = IXGBE_ERR_OVERTEMP;
 out:
-	return (status);
+	return status;
 }
